Index: code/trunk/src/modules/docking/Dock.cc
===================================================================
--- code/trunk/src/modules/docking/Dock.cc	(revision 8727)
+++ code/trunk/src/modules/docking/Dock.cc	(revision 8729)
@@ -44,11 +44,6 @@
 #include "worldentities/pawns/Pawn.h"
 
-#include "ToluaBindDocking.h"
-
 namespace orxonox
 {
-    // Register tolua_open function when loading the library
-    DeclareToluaInterface(Docking);
-
     CreateFactory(Dock);
 
Index: code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8727)
+++ code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8729)
@@ -43,13 +43,8 @@
 #include "util/Convert.h"
 
-#include "ToluaBindNotifications.h"
-
 namespace orxonox
 {
 
     CreateFactory(NotificationQueueCEGUI);
-
-    // Register tolua_open function when loading the library.
-    DeclareToluaInterface(Notifications);
 
     /*static*/ const std::string NotificationQueueCEGUI::NOTIFICATION_LAYER("NotificationLayer");
Index: code/trunk/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/trunk/src/modules/objects/eventsystem/EventFilter.cc	(revision 8727)
+++ code/trunk/src/modules/objects/eventsystem/EventFilter.cc	(revision 8729)
@@ -30,4 +30,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Event.h"
 #include "core/XMLPort.h"
 #include "EventName.h"
Index: code/trunk/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/trunk/src/modules/objects/eventsystem/EventListener.cc	(revision 8727)
+++ code/trunk/src/modules/objects/eventsystem/EventListener.cc	(revision 8729)
@@ -30,4 +30,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/Event.h"
 #include "core/XMLPort.h"
 
Index: code/trunk/src/modules/overlays/hud/GametypeFadingMessage.h
===================================================================
--- code/trunk/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 8727)
+++ code/trunk/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 8729)
@@ -27,6 +27,6 @@
  */
 
-#ifndef _GametypeInfoMessage_H__
-#define _GametypeInfoMessage_H__
+#ifndef _GametypeFadingMessage_H__
+#define _GametypeFadingMessage_H__
 
 #include "overlays/OverlaysPrereqs.h"
Index: code/trunk/src/modules/pickup/PickupCollectionIdentifier.h
===================================================================
--- code/trunk/src/modules/pickup/PickupCollectionIdentifier.h	(revision 8727)
+++ code/trunk/src/modules/pickup/PickupCollectionIdentifier.h	(revision 8729)
@@ -34,5 +34,5 @@
 
 #ifndef _PickupCollectionIdentifier_H__
-#define _PickupCollectionIdentifier_H_
+#define _PickupCollectionIdentifier_H__
 
 #include "PickupPrereqs.h"
@@ -75,3 +75,3 @@
 }
 
-#endif // _PickupCollectionIdentifier_H_
+#endif // _PickupCollectionIdentifier_H__
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 8727)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 8729)
@@ -49,11 +49,6 @@
 #include "PickupRepresentation.h"
 
-#include "ToluaBindPickup.h"
-
 namespace orxonox
 {
-    // Register tolua_open function when loading the library
-    DeclareToluaInterface(Pickup);
-
     ManageScopedSingleton(PickupManager, ScopeID::Root, false);
 
Index: code/trunk/src/modules/pong/CMakeLists.txt
===================================================================
--- code/trunk/src/modules/pong/CMakeLists.txt	(revision 8727)
+++ code/trunk/src/modules/pong/CMakeLists.txt	(revision 8729)
@@ -1,4 +1,4 @@
 SET_SOURCE_FILES(PONG_SRC_FILES
-COMPILATION_BEGIN PongCompilation.cc
+BUILD_UNIT PongBuildUnit.cc
   Pong.cc
   PongAI.cc
@@ -8,5 +8,5 @@
   PongCenterpoint.cc
   PongScore.cc
-COMPILATION_END
+END_BUILD_UNIT
 )
 
Index: code/trunk/src/modules/pong/PongAI.cc
===================================================================
--- code/trunk/src/modules/pong/PongAI.cc	(revision 8727)
+++ code/trunk/src/modules/pong/PongAI.cc	(revision 8729)
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/command/Executor.h"
 #include "tools/Timer.h"
 
Index: code/trunk/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestManager.cc	(revision 8727)
+++ code/trunk/src/modules/questsystem/QuestManager.cc	(revision 8729)
@@ -47,11 +47,6 @@
 #include "QuestItem.h"
 
-#include "ToluaBindQuestsystem.h"
-
 namespace orxonox
 {
-    // Register tolua_open function when loading the library
-    DeclareToluaInterface(Questsystem);
-
     ManageScopedSingleton(QuestManager, ScopeID::Root, false);
 
Index: code/trunk/src/modules/weapons/munitions/ReplenishingMunition.cc
===================================================================
--- code/trunk/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 8727)
+++ code/trunk/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 8729)
@@ -28,5 +28,7 @@
 
 #include "ReplenishingMunition.h"
+
 #include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
 
 namespace orxonox
Index: code/trunk/src/modules/weapons/projectiles/LightningGunProjectile.cc
===================================================================
--- code/trunk/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 8727)
+++ code/trunk/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 8729)
@@ -31,4 +31,5 @@
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
 
 namespace orxonox
